#include <iostream>
#include <vector>
using namespace std;
int main()
{
    short n;long l;
    cin>>n>>l;
    vector <long> a(n);
    cin>>a[0];
    if(l<a[0]){
         a[0]=0;
    for(int i=1;i<n;i++)
    {cin>>a[i];
    if(l>=a[i]&&a[0]==0) {cout<<i+1;a.clear();return 0;}}}
    else cout<<1;a.clear();return 0;}